/**
 * @desc 选择框
 * @author denghuan
 */
/// <reference types="react" />
import { SelectProps } from 'antd';
import { SelectValue } from 'antd/lib/select';
import { IDName } from '../jx-table/models/currency';
declare const Select: {
    (props: SelectProps<SelectValue> & {
        dictData?: Array<IDName>;
    }): JSX.Element;
    SECRET_COMBOBOX_MODE_DO_NOT_USE: string;
    Option: import("rc-select/lib/Option").OptionFC;
    OptGroup: import("rc-select/lib/OptGroup").OptionGroupFC;
};
export type { SelectProps };
export default Select;
